GHSA-826h-fxff-hpqf

Suggest an improvement
Source
https://github.com/advisories/GHSA-826h-fxff-hpqf
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-826h-fxff-hpqf/GHSA-826h-fxff-hpqf.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-826h-fxff-hpqf
Aliases
  • CVE-2019-10421
Published
2022-05-24T16:56:46Z
Modified
2023-11-08T04:00:50.742088Z
Severity
  • 4.3 (Medium) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Jenkins Azure Event Grid Build Notifier Plugin has Insufficiently Protected Credentials
Details

Azure Event Grid Build Notifier Plugin stores the Azure Event Grid secret key unencrypted in job config.xml files on the Jenkins controller. This key can be viewed by users with Extended Read permission, or access to the Jenkins controller file system.

As of publication of this advisory, there is no fix.

References

Affected packages

Maven / org.jenkins-ci.plugins:azure-event-grid-notifier

Package

Name
org.jenkins-ci.plugins:azure-event-grid-notifier
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/azure-event-grid-notifier

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
0.1

Affected versions

0.*

0.1